love.load	=	function()
	local _, _, flags = love.window.getMode()
	w, h = love.window.getDesktopDimensions(flags.display)
	local success = love.window.setMode( w, h, flags)
	local joysticks = love.joystick.getJoysticks()
	for i, joystick in ipairs(joysticks) do
		if joystick:getName()=="Android Accelerometer" then
			joy=joystick
			break
		end
	end
	miv={true,true,true}
	mav={false,false,false}
	lastchanged={
		{mi=0,ma=0},
		{mi=0,ma=0},
		{mi=0,ma=0}
	}
	mis={0,0,0}
	mas={0,0,0}
	turn=0
	draw=function(height,width)
		love.graphics.setBackgroundColor(90,0,195)
		love.graphics.setColor(255,255,255)
		love.graphics.printf("Default Mode",5,height/2,width-10,"center")
	end
end
love.update	=	function(dt)
	if joy then
		for i=1,joy:getAxisCount() do
			lastchanged[i].mi=lastchanged[i].mi+dt
			lastchanged[i].ma=lastchanged[i].ma+dt
			mi=(math.abs(joy:getAxis(i)*100))<20
			ma=(math.abs(joy:getAxis(i)*100))>70
			if not mi == miv[i] then
				if lastchanged[i].mi>0.3 then
					miv[i]=mi
					lastchanged[i].mi=0
					mis[i]=math.sign(joy:getAxis(i))
				end
			end
			if not ma == mav[i] then
				if lastchanged[i].ma>0.3 then
					mav[i]=ma
					lastchanged[i].ma=0
					mas[i]=math.sign(joy:getAxis(i))
				end
			end
		end
		
		--WARNING: Default mode might not work anymore (it requires testing)
		
		--NOTE: in line 62 its "elseif" 
		
		--[[if miv[1] and miv[2] and miv[3] then
			turn=0
			draw=function(height,width)
				love.graphics.setBackgroundColor(90,0,195)
				love.graphics.setColor(255,255,255)
				love.graphics.printf("Default Mode",5,height/2,width-10,"center")
			end
		else]]if miv[1] and mav[2] and mav[3] then
			if mas[2]==1 then
				turn=0
			elseif mas[2]==-1 then
				turn=2
			else
				turn=0
			end
			draw=function(height,width)
				love.graphics.setBackgroundColor(80,195,10)
				love.graphics.setColor(255,255,255)
				love.graphics.printf("Landscape Mode",5,height/2,width-10,"center")
			end
		elseif mav[1] and miv[2] and mav[3] then
			if mas[1]==1 then
				turn=3
			elseif mas[1]==-1 then
				turn=1
			else
				turn=3
			end
			draw=function(height,width)
				love.graphics.setBackgroundColor(0,180,195)
				love.graphics.setColor(255,255,255)
				love.graphics.printf("Portrait Mode",5,height/2,width-10,"center")
			end
		end
	else
		turn=0
		draw=function(height,width)
			love.graphics.setBackgroundColor(195,0,0)
			love.graphics.setColor(255,255,255)
			love.graphics.printf("No Accelerometer",5,height/2,width-10,"center")
		end
	end
end
function love.draw()
	height=h
	width=w
	for i=1,turn do
		height,width=turnaround(height,width)
	end
	draw(height,width)
end
love.keypressed		=	function (key)
	if key == "escape" then
		love.event.quit()
	end
end
turnaround=function(height,width)
	love.graphics.translate(width, 0)
	love.graphics.rotate(math.pi/2)
	local aux=width
	width=height
	height=aux
	return height,width
end
function math.sign(n) return n>0 and 1 or n<0 and -1 or 0 end